#
# spec file for package xindy
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xindy
Version:        2.4
Release:        10.19
Summary:        Index generator for structured documents like LaTeX or SGML
License:        GPL-2.0
Group:          Productivity/Text/Utilities
Url:            http://xindy.sf.net/

#DL-URL:	http://ctan.org/tex-archive/indexing/xindy/
Source:         xindy-2.4.tar.xz
Patch1:         fix-echo-expansion.dpatch.diff
Patch2:         fix-FHS.dpatch.diff
Patch4:         help-option.dpatch.diff
Patch5:         fix-alphabets-doc-geometry.dpatch.diff
Patch6:         fix-configure.dpatch.diff
Patch7:         fix-entry-with-command.dpatch.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  clisp
BuildRequires:  flex
BuildRequires:  texlive-latex
%if %suse_version > 1220
BuildRequires:  texlive-cm-super
BuildRequires:  texlive-collection-fontsrecommended
BuildRequires:  texlive-lh
BuildRequires:  texlive-metafont
BuildRequires:  tex(pdftex.map)
BuildRequires:  tex(t2aenc.def)
%endif
%if %suse_version > 1230
BuildRequires:  tex(lgrcmr.fd)
BuildRequires:  tex(lgrenc.def)
%endif
BuildRequires:  xz
# Need this at runtime for indexing to work correctly:
Requires:       clisp

Requires:       xindy-rules = %version

%description
xindy is an index processor that can be used to generate book-like
indexes for arbitrary document-preparation systems. This includes
systems such as TeX and LaTeX, the roff-family, SGML/XML-based
systems (e.g. HTML) that process some kind of text and generate
indexing information. The kernel system is not fixed to any specific
system, but can be configured to work together with such systems.

In comparison to other index processors xindy has several powerful
features that make it an ideal framework for describing and
generating complex indices, addressing especially international
indexing.

%package rules
Summary:        Rule files for Xindy
Group:          Productivity/Publishing/TeX
BuildArch:      noarch

%description rules
xindy is an index processor that can be used to generate book-like
indexes for arbitrary document-preparation systems.

This package contains the rule files (the knowledge base) of xindy.

%package doc
Summary:        Documentation for Xindy
Group:          Documentation/Other
BuildArch:      noarch

%description doc
Documentation for the Xindy index generator.

%prep
%setup -q
%patch -P 1 -P 2 -P 4 -P 5 -P 6 -P 7 -p1

%build
%configure --docdir=%_docdir/%name
# not safe for -j
make -j1

%install
make install DESTDIR="%buildroot";
rm -f "%buildroot/%_prefix/VERSION";

%files
%defattr(-,root,root)
%_bindir/*
%_libdir/%name

%files rules
%defattr(-,root,root)
%_datadir/%name

%files doc
%defattr(-,root,root)
%doc %_mandir/man*/*
%doc %_docdir/*

%changelog
* Mon Sep 30 2013 tchvatal@suse.com
- Fix build for Factory and 13.1
* Tue Jul 10 2012 werner@suse.de
- Make it build with latest TeXLive 2012 with new package layout
* Fri Jun 22 2012 jengelh@inai.de
- Update to new upstream release 2.4
  * No changelog provided (only moved from 2.4~pre1 to 2.4 anyway)
* Thu Jan 27 2011 jengelh@medozas.de
- Change RPM group to one of the known ones
* Mon Jun  7 2010 jengelh@medozas.de
- Initial package
